Bug 951511 - Current spec file does not allow to rebuild the package with DC
Current spec file does not allow to rebuild the package with DC
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-12 07:17 EDT by Simone Caronni
Modified: 2016-07-19 16:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:26:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SPEC file patch (10.98 KB, patch)
2013-04-12 07:17 EDT, Simone Caronni
no flags Details | Diff
SAMBA systemd service file (284 bytes, application/octet-stream)
2013-04-12 07:18 EDT, Simone Caronni
no flags Details
SPEC file patch (10.98 KB, patch)
2013-04-12 07:28 EDT, Simone Caronni
no flags Details | Diff
SPEC file patch (10.39 KB, patch)
2013-06-06 12:37 EDT, Simone Caronni
no flags Details | Diff
DC components optional enablement (1.40 KB, patch)
2014-02-11 04:47 EST, Simone Caronni
no flags Details | Diff
SPEC file cleanup (7.99 KB, patch)
2014-02-11 04:57 EST, Simone Caronni
no flags Details | Diff
Fix Samba DC build (2.47 KB, patch)
2015-03-03 04:20 EST, Simone Caronni
no flags Details | Diff
Fix Samba DC build (4.89 KB, patch)
2015-03-03 04:24 EST, Simone Caronni
no flags Details | Diff
Fix Samba DC build (3.25 KB, patch)
2015-03-03 04:31 EST, Simone Caronni
no flags Details | Diff
Patch for samba 4.2.3-10 (3.08 KB, patch)
2015-12-14 08:19 EST, Didier
no flags Details | Diff

  None (edit)
Description Simone Caronni 2013-04-12 07:17:43 EDT
Created attachment 734658 [details]
SPEC file patch

Description of problem:
The current spec file has a mechanism to rebuild the package enabling the Domain Controller functionality by sacrificing the MIT Kerberos implementation in favour of the bundled one.

The spec file is missing some packaging information for a succesful build of the Domain Controller functionality.

Version-Release number of selected component (if applicable):
samba-4.0.5-1.fc20

How reproducible:
Always

Steps to Reproduce:
1. Download the samba source rpm
2. Enable with_dc and disable with_mitkrb5
3. Rebuild the rpm with koji or mock
  
Actual results:
The rpm does not build, some information is wrong that is preventing a succesful rebuild.

Expected results:
The package rebuilds fine.

Additional info:
Attached is a spec file patch that contains the following:

- Missing %files directives for the DC part (with sorting)
- Missing requires on the DC for tbd-tools, required for DC first provision
- Enablement of a systemd service file for samba(8).
- Removal of deprecated tags required for RHEL 5, such as %defattr and Groups. The spec file is Fedora 18+ only.

Attached as well is the systemd service file.

We are using samba in production as a DC with the signed ntp requests and Bind dlz backend. With the eventual release of RHEL 7 rebuilding the package and enabling this functionality will be a breeze!

Please apply.

Thanks,
--Simone
Comment 1 Simone Caronni 2013-04-12 07:18:30 EDT
Created attachment 734659 [details]
SAMBA systemd service file
Comment 2 Simone Caronni 2013-04-12 07:28:21 EDT
Created attachment 734675 [details]
SPEC file patch

Pasted wrong file..
Comment 3 Simone Caronni 2013-06-06 12:36:51 EDT
Updated for the latest 4.0.6-2.fc19. Building with DC enabled still fails in current rpm.
Comment 4 Simone Caronni 2013-06-06 12:37:30 EDT
Created attachment 757752 [details]
SPEC file patch
Comment 5 Simone Caronni 2014-02-11 04:47:01 EST
Created attachment 861726 [details]
DC components optional enablement

Patch that adds the missing components to rebuild the package with DC enabled and MIT Kerberos disabled
Comment 6 Simone Caronni 2014-02-11 04:57:23 EST
Created attachment 861728 [details]
SPEC file cleanup

SPEC file patch that removes all %{buildroot} removals, %defattr and Group tags (required for RHEL 5).
Comment 7 Simone Caronni 2014-02-11 04:58:25 EST
The bug is not being updated, but by updateing the package I see that some part of the patch has been incorporated.

I've updated the attached files with the following, based on package 4.1.4:

1) SPEC file patch for DC enablement
- Addition of systemd service file for samba(8).
- Addition of tbd-tools dependency, required for first DC provision

2) SPEC file patch for obsolete RPM tags
- Removal of deprecated tags required for RHEL 5, such as %defattr, Groups.

3) Samba systemd unit file

Regards,
--Simone
Comment 8 Simone Caronni 2015-03-03 04:19:32 EST
Updated patch, based on samba-4.1.17-1.fc21, as this is what I'm using in production.

The patch makes sure that the samba.service unit is installed only in case of a DC build and changes the startup options to make the main daemon not forking in the background.
Comment 9 Simone Caronni 2015-03-03 04:20:42 EST
Created attachment 997395 [details]
Fix Samba DC build
Comment 11 Simone Caronni 2015-03-03 04:24:13 EST
Created attachment 997397 [details]
Fix Samba DC build
Comment 12 Simone Caronni 2015-03-03 04:31:47 EST
Created attachment 997411 [details]
Fix Samba DC build
Comment 13 Jaroslav Reznik 2015-03-03 09:54:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 14 Didier 2015-12-14 08:19 EST
Created attachment 1105572 [details]
Patch for samba 4.2.3-10
Comment 15 Fedora End Of Life 2016-07-19 16:26:19 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.